Skip to main content
DELETE
/
audiences
/
{audienceId}
cURL
curl --request DELETE \
  --url https://admin.fanfare.io/api/audiences/{audienceId} \
  --header 'Authorization: Bearer <token>'
{
  "archived": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>",
  "groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "groupName": "<string>",
  "iconName": "<string>",
  "lastRefreshedAt": "2023-11-07T05:31:56Z",
  "metadata": {},
  "primaryExternalId": "<string>",
  "primaryLastSyncedAt": "2023-11-07T05:31:56Z",
  "primarySourceVendor": "<string>",
  "primarySyncSourceId": "<string>",
  "refreshIntervalSeconds": 123,
  "updatedAt": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>"
}

Authorizations

Authorization
string
header
required

Fanfare secret key. Keep secret credentials on your server.

Path Parameters

audienceId
string
required

Response

Audience deleted successfully

archived
boolean
required
createdAt
string<date-time>
required
createdBy
string
required
id
string<uuid>
required
name
string
required
Minimum string length: 1
organizationId
string<uuid>
required
type
enum<string>
required
Available options:
DYNAMIC,
STATIC_LIST,
SYNCED_LIST
description
string | null
groupId
string<uuid> | null
groupName
string | null
groupType
enum<string> | null
Available options:
SEGMENTED_VALUE,
RFM
iconName
string | null
lastRefreshedAt
string<date-time> | null
metadata
object | null
primaryExternalId
string | null
primaryLastSyncedAt
string<date-time> | null
primarySourceVendor
string | null
primarySyncSourceId
string | null
refreshIntervalSeconds
number | null
updatedAt
string<date-time> | null
updatedBy
string | null